## com.google.gwt.user.client.ui
Interface SourcesChangeEvents

All Known Implementing Classes:
  ListBox, SuggestBox, TextBoxBase

public interface SourcesChangeEvents

A widget that implements this interface sources the events defined by the `ChangeListener` interface.

Method Summary
`void` `addChangeListener(ChangeListener listener)` Adds a listener interface to receive change events.
`void` `removeChangeListener(ChangeListener listener)` Removes a previously added listener interface.

Method Detail

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Adds a listener interface to receive change events.

  Parameters:
    `listener` - the listener interface to add

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove